%define	version	5.10.0
%define	epoch	4

#%define	perl_privlib	%{_datadir}/perl5/%{version}
#%define	perl_archlib	%{_libdir}/perl5/%{version}/%{_target_platform}%{perlthread}
%define	perl_privlib	/usr/lib/perl5/*/
%define	perl_archlib	/usr/lib/perl5/*/*-linux-thread-multi

Name:		perl
Version:	%{version}
Release:	82.fc11
Epoch:		%{epoch}
Summary:	The Perl programming language
Group:		Development/Languages
License:	(GPL+ or Artistic) and (GPLv2+ or Artistic)
Url:		http://www.perl.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Provides: perl-libs
Provides: perl(bytes_heavy.pl)
Provides: perl(getopt.pl)
Provides: perl(getopts.pl)
Provides: perl(open2.pl)
Provides: perl(open3.pl)
Provides: perl(stat.pl)
Provides: perl(utf8_heavy.pl)
Provides: perl(Carp::Heavy)
Provides: perl(Tie::Hash)

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications are system
administration utilities and web programming.  A large proportion of
the CGI scripts on the web are written in Perl.  You need the perl
package installed on your system so that your system can handle Perl
scripts.

%prep
%setup -q
%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
cp -a * $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/perl
%attr(755,root,root) %{_bindir}/perl%{version}

%attr(755,root,root) %{perl_archlib}/CORE/*.so

## pragmas
# like openSUSE (attributes)
%{perl_privlib}/attributes.pm
%{perl_privlib}/base.pm
# like openSUSE (byte*)
%{perl_privlib}/byte*.p*
%{perl_privlib}/constant.pm
##%{perl_privlib}/diagnostics.pm
%{perl_privlib}/fields.pm
%{perl_privlib}/integer.pm
# like openSUSE (locale*)
%{perl_privlib}/locale.pm
%{perl_privlib}/overload.pm
##%{perl_privlib}/sort.pm
%{perl_privlib}/strict.pm
##%{perl_privlib}/subs.pm
# like openSUSE (utf8*)
%{perl_privlib}/utf8*.pm
%{perl_privlib}/vars.pm
%{perl_privlib}/warnings*

%{perl_archlib}/lib.pm
# like openSUSE (re.pm)
%{perl_archlib}/re.pm

## arch-_IN_dependent modules
%{perl_privlib}/AutoLoader*
%{perl_privlib}/Carp*
%{perl_privlib}/Class*
# like openSUSE (Digest)
%{perl_privlib}/Digest*
%{perl_privlib}/Exporter*
%{perl_privlib}/File*
##%{perl_privlib}/English*
%{perl_privlib}/Getopt*
#%{perl_privlib}/IO/*
%{perl_privlib}/IPC
# like openSUSE (List)
#%{perl_privlib}/List*
%{perl_archlib}/List/*
#%{perl_privlib}/Scalar*
%{perl_archlib}/Scalar/*
%{perl_privlib}/SelectSaver.pm
%{perl_privlib}/Symbol.pm
%{perl_privlib}/Text*
##%{perl_privlib}/Tie*
%{perl_privlib}/Tie/Hash.pm
%{perl_privlib}/Time/Local.pm

## arch-dependent modules
%{perl_archlib}/Config.pm
%{perl_archlib}/Config_*
%{perl_archlib}/Cwd.pm
%{perl_archlib}/DynaLoader*
%{perl_archlib}/Errno*
%{perl_archlib}/Fcntl.*
%{perl_archlib}/File
%{perl_archlib}/IO*
%{perl_archlib}/POSIX.pm
%{perl_archlib}/Socket.*
%{perl_archlib}/XSLoader*
%{perl_archlib}/auto/POSIX/getpid.al

%attr(755,root,root) %{perl_archlib}/auto/Cwd/*.so
%{perl_archlib}/auto/DynaLoader
%attr(755,root,root) %{perl_archlib}/auto/Fcntl/*.so
%attr(755,root,root) %{perl_archlib}/auto/File/*/*.so
%attr(755,root,root) %{perl_archlib}/auto/IO/*.so
%attr(755,root,root) %{perl_archlib}/auto/POSIX/*.so
%{perl_archlib}/auto/POSIX/*.ix
%{perl_archlib}/auto/POSIX/load_imports.al
##%{perl_archlib}/auto/POSIX/*.al
%attr(755,root,root) %{perl_archlib}/auto/Socket/*.so

## devel
%{perl_archlib}/B.pm
%{perl_archlib}/B/Deparse.pm

## module
%{perl_archlib}/Data*
%{perl_archlib}/Digest*

%attr(755,root,root) %{perl_archlib}/auto/Data/Dumper/*.so
%attr(755,root,root) %{perl_archlib}/auto/Digest/MD5/*.so
%attr(755,root,root) %{perl_archlib}/auto/List/*/*.so

## add for fc11 on 091021
%{perl_privlib}/open*.pm
%{perl_privlib}/Pod/Usage.pm
%{perl_privlib}/SelfLoader.pm
%{perl_archlib}/Encode*
%{perl_archlib}/MIME*

%changelog
* Fri May 16 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
